<template>
  <v-app>
    <v-content class="navbar">
      <Header
        :idActualUser="idActualUser"
        :role="role"
        @show-login-page-event="showLogingPage"
        @log-out-event="logOut"
        temporary
      />
    </v-content>
    <v-content class="main">
      <LogingPage
        v-show="loginHasShow"
        :warningMail="warningMail"
        :warningPassword="warningPassword"
        @log-event="login"
      />
      <router-view></router-view>
    </v-content>

    <v-content>
      <Footer />
    </v-content>
  </v-app>
</template>

<script>
import Footer from '@/components/Layout/Footer.vue'
import Header from '@/components/Header/Header.vue'
//import RegisterLoginPage from "@/components/RegisterLogin/RegisterLoginPage.vue";
import LogingPage from '@/components/RegisterLogin/LogingPage.vue'
import API from '@/API.js'
export default {
  name: 'App',
  components: {
    Footer,
    Header,
    // RegisterLoginPage,
    LogingPage
  },
  data() {
    return {
      loginHasShow: false,
      warningMail: false,
      warningPassword: false,
      idActualUser: '',
      role: '',

      logOutHasShow: false,
      message: '¿quien eres ?',
      logged: []
    }
  },
  async mounted() {
    // if (this.$route.params.idUser !== undefined) {
    //   this.idActualUser = this.$route.params.idUser
    //   this.goToHomePage()
    // }else {
    // this.loadHome()}
  },

  watch: {
    '$route.params.idUser': {
      immediate: true,
      handler: async function() {
        console.log('i am watching nada')
        if (this.$route.params.idUser !== undefined) {
          this.idActualUser = this.$route.params.idUser
          let actualRole = await API.getIdActualUser()
          this.role = actualRole.role
          this.goToHomePage()
        }
      }
    }
  },

  methods: {
    loadHome() {
      this.$router.push('/home')
    },
    async login(mailLogin, passwordLogin) {
      this.logged = await API.login(mailLogin, passwordLogin)
      if (this.logged.log_mensajes === 'correo incorrecto') {
        this.warningMail = true
      } else if (this.logged.log_mensajes === 'contraseña incorrecta') {
        this.warningMail = false
        this.warningPassword = true
      } else {
        this.idActualUser = this.logged.iduser
        this.role = this.logged.role
        this.goToHomePage()
        this.loginHasShow = !this.loginHasShow
        this.logOutHasShow = !this.logOutHasShow
      }
    },

    goToHomePage() {
      let idActualUser = this.idActualUser
      this.$router.push('/home/' + idActualUser)
    },

    showLogingPage() {
      this.$router.push('/LogingPage')

      //this.loginHasShow = !this.loginHasShow
    },

    logOut() {
      this.idActualUser = ''
      this.role = ''
      this.logged = []
      this.logOutHasShow = !this.logOutHasShow
      localStorage.removeItem('idActualUser')
      localStorage.removeItem('role')
      this.$router.push('/home/')
    },
    //localStorage removeItem
    goToHomePagewithActualId() {
      this.$router.push('/home/' + this.idActualUser)
    }
  }
}
</script>

<style>
#app {
  /* font-family: Avenir, Helvetica, Arial, sans-serif; */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;

  margin: 0;
}
.navbar {
  background-color: #dfebe8;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 999;
}

.main {
  padding: 4.5rem;
  margin-top: 13rem;
  margin-bottom: 25%;

  height: auto; /* Used in this example to enable scrolling */
}
/* .footer {
  position: inline;
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: #dfebe8;

  text-align: justify;
  height: 4%;
} */

#app .log {
  display: none;
}
@media only screen and (max-width: 800px) {
  .main {
    margin-top: 50%;
  }
}
</style>
